#ifndef CFGFILE2_H
#define CFGFILE2_H

extern int config_sound_style;
extern int config_sound_tweak;
extern int config_socket_emu;
extern int config_middle_mouse;
extern int config_map_drives;
extern int config_logfile;

extern char config_file_path[ MAX_PATH ];
extern char config_prtname[ MAX_PATH ];
extern char config_sername[ MAX_PATH ];

typedef enum extra_config_enums
{
    file_path,
    parallel_port,
    serial_port,
    sound_style,
    sound_tweak,
    socket_emu,
    middle_mouse,
    map_drives,
    create_logfile,
    extralastentry
} extra_config_entries;

extern struct cfg_lines extra_config_stuff[ extralastentry ];

int parse_config_line_machdep( char *part1, char *part2 );
int CFGFILE2_convert_option( extra_config_entries entry, char *param, int direction );
void CFGFILE2_transfer_params( struct uae_prefs *to, struct uae_prefs *from, int direction );
void save_config_lines_machdep( FILE *fh );

#endif